6.0.0-git
2018-12-15

[#8280] Horde caching Agora when it shouldn't be
Summary Horde caching Agora when it shouldn't be
Queue Agora
Queue Version Git master
Type Bug
State Assigned
Priority 1. Low
Owners Horde Developers (at)
Requester simon (at) simonandkate (dot) net
Created 2009-05-15 (3501 days ago)
Due
Updated 2011-04-21 (2795 days ago)
Assigned 2009-05-28 (3488 days ago)
Resolved
Milestone
Patch No

History
2011-04-21 14:28:07 Michael Rubinsky Comment #5
Assigned to Horde DevelopersHorde Developers
Taken from Duck
Version ⇒ Git master
Reply to this comment
Move to git version, remove Duck as owner. Should be looked at/fixed 
during Agora H4-ification.
2009-05-28 07:55:28 simon (at) simonandkate (dot) net Comment #4 Reply to this comment
Poor Agora! LOL...



No probs. Functionality for comments in Ansel and Turba works fine, 
it's just the actual Agora main forum stuff that doesn't work with 
Horde caching. I'm not using the forums but thought it needed 
reporting anyway.
2009-05-28 07:12:32 Jan Schneider Comment #3
Assigned to Duck
State ⇒ Assigned
Reply to this comment
Is anyone watching the Agora bug queue? :)
Yes, but Agora is the unloved child of ours.
2009-05-28 06:29:21 simon (at) simonandkate (dot) net Comment #2 Reply to this comment
Is anyone watching the Agora bug queue? :)
2009-05-15 00:57:24 simon (at) simonandkate (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Horde caching Agora when it shouldn't be
Queue ⇒ Agora
Milestone ⇒
Patch ⇒ No
Reply to this comment
I installed Agora for comments in Ansel. That bit works fine. So do 
comments in Turba - in both of those I can add comments and they are 
immediately visible to all users. The MySQL tables show the posts and 
the "forums" - all good.



However, Horde incorrectly caches other Agora content, which is 
completely breaking it.



Horde is 3.3.4 rc1. Mysql backend, LDAP preferences store. 
$conf[cache][driver] set to use SQL.



I created a new forum "Welcome to the Forums". That appeared, and is 
visible. I added a thread to that forum. Navigate back to the root. 
The Forum is visible, but with no content (0 threads, 0 posts). A 
while later this screen actually updated to show 1 thread, 1 post. 
Clicking on the last post link took me to the post, so the post is 
there and the permissions are OK (I have not set any Horde Permissions 
on Agora). But clicking on the forum to enter it - it tells me "no 
threads". Same in Moderators. Add a moderator to the new Forum, 
submit, it works, adds it to the database, but Agora still shows "No 
Moderators have been created". Adding it again returns an error (cos 
it's already there).



What got really interesting was when I dropped the Agora tables and 
recreated them. In Ansel and Turba the comments disappeared (as 
expected). MySQL tables are all empty. Agora shows no forums. Yet 
adding a new forum in the Parent Forum drop-down is.... "Welcome to 
the Forums". In the add a moderator forum select drop down is... 
"Welcome to the forums" AND "19" which was what it called an Ansel 
comment 'forum'. Yet none of those are in MySQL any more.



If i tell Horde to not cache any objects ($conf[cache][driver]), the 
problem goes away.



I then tried setting $conf[cache][driver] to use memcache. Same 
problem. As soon as either memcache or sql caching is used, Agora 
breaks.

Saved Queries